/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.common.formdata;

import java.time.ZonedDateTime;
import java.util.Collections;
import java.util.Map;

public class FormMetaDataTestFactory {

	public static final String XTA_IDENTIFIER_ENTRY_NAME = "xtaIdentifier";

	public static final String XTA_IDENTIFIER = "vbe:010550120100";
	public static final String OE_ID = "010550120100";

	public static FormMetaData create() {
		return create(Collections.emptyMap());
	}

	public static FormMetaData create(Map<String, String> entryMap) {
		return new FormMetaData() {

			@Override
			public ZonedDateTime getOrigin() {
				return ZonedDateTime.now();
			}

			@Override
			public ZonedDateTime getDelivery() {
				return ZonedDateTime.now();
			}

			@Override
			public String getEntry(String name) {
				switch (name) {
					case XTA_IDENTIFIER_ENTRY_NAME:
						return XTA_IDENTIFIER;

					default:
						return entryMap.get(name);
				}
			}

		};
	}
}
