/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.common.formdata;

import java.util.List;

public class FormSolutionsTestFactory {

	public static final String ORGANISATIONSEINHEITEN_ID = "5678";
	public static final String POSTFACH_ID = "51522620-03d2-4507-b1f0-08d86920efed";
	public static final String OBJEKTGRUPPE_0 = "Objektgruppe[0]";
	public static final String PANEL_ID = "Panel_0_1";
	public static final String DECODED_CONTENT = "Lorem ipsum";
	public static final String IDENTIFIER_VALUE = "AS_123";
	public static final String FIM_ID = "S12345678";
	public static final List<String> LEIKA_IDS = List.of("123456890", "223456890");
	public static final String VORGANG_NUMMER = "KFAS_KOP_TEST-yCkgCdqG";
	public static final String COMPONENT_ID = "Textfeld (einzeilig)";
	public static final String COMPONENT_VALUE = "kfjhkfjhk";
	public static final String DATE_COMPONENT_ID = "Datums- / Uhrzeitfeld";
	public static final String DATE_COMPONENT_VALUE = "22.05.1996";
	public static final String ZIP_VALUE = "TG9yZW0gaXBzdW0=";
	public static final String ZIP_VALUE_DECODED = "Lorem ipsum";
	public static final String PDF_VALUE = "TG9yZW0gaXBzdW0=";
	public static final String PDF_VALUE_DECODED = "Lorem ipsum";
	public static final String ZUSTAENDIGE_STELLE_VALUE = "zustaendigeStelle";
	public static final String ZUSTAENDIGE_STELLE = "5678";
	public static final String POSTFACH_ID_STELLE = "51522620-03d2-4507-b1f0-08d86920efed";
	public static final String FORM_ID_VALUE = "KFAS_KOP_TEST-yCkgCdqG";
	// TODO vereinfachen und in Dateien packen
	public static final String SIMPLE_JSON_DATA = "{\"assistant\": "
			+ "{\"identifier\":\"" + IDENTIFIER_VALUE + "\",\n"
			+ "\"panels\": [{\"identifier\":\"" + PANEL_ID + "\",\n"
			+ "\"components\": ["
			+ "{\"identifier\": \"" + COMPONENT_ID + "\",\"needed\": true,\"stringValue\": \"" + COMPONENT_VALUE + "\"},"
			+ "{\"identifier\": \"" + DATE_COMPONENT_ID + "\",\"needed\": true,\"stringValue\": \"" + DATE_COMPONENT_VALUE + "\"}\n"
			+ "]}],\n"
			+ "\"ozgContainer\": {\"fimId\": \"S12345678\",\"leikaIds\": [\"123456890\",\"223456890\"]}},\n"
			+ "\"zustaendigeStelle\": \"5678\",\n"
			+ "\"postkorbhandle\": \"" + POSTFACH_ID_STELLE + "\",\n"
			+ "\"transactionId\": \"" + FORM_ID_VALUE + "\"\n"
			+ "}";
	public static final String NESTED_COMPONENTS_JSON = "{\"assistant\":"
			+ "{\"identifier\": \"" + IDENTIFIER_VALUE + "\",\n"
			+ "\"panels\": [{\"identifier\": \"" + COMPONENT_ID + "\",\n"
			+ "\"components\": ["
			+ "{\"identifier\": \"" + OBJEKTGRUPPE_0 + "\",\"needed\": true,\n"
			+ "\"components\": ["
			+ "{\"identifier\": \"" + DATE_COMPONENT_ID + "\",\"needed\": true,\"stringValue\": \"" + DATE_COMPONENT_VALUE + "\"\n"
			+ "}]}]\n"
			+ "}]}\n"
			+ "}";
	private static final String TOP = "{\"assistant\":{\"identifier\": \"" + IDENTIFIER_VALUE + "\",\"panels\": "
			+ "[{\"identifier\": \"" + COMPONENT_ID + "\",\"components\": "
			+ "[{\"identifier\": \"" + OBJEKTGRUPPE_0 + "\",\"needed\": true,\"components\": "
			+ "[{\"identifier\": \"" + DATE_COMPONENT_ID + "\",\"needed\": true,\"stringValue\": \"" + DATE_COMPONENT_VALUE + "\"}]"
			+ "}]}]},";
	private static final String ZIP = "\"zip\":\"" + ZIP_VALUE + "\"";
	private static final String PDF = "\"pdf\":\"" + PDF_VALUE + "\"";
	private static final String END = "}";
	public static final String PDF_REPRESENTATION_JSON = TOP + PDF + END;
	public static final String ZIP_ATTACHMENT_JSON = TOP + ZIP + END;
	public static final String ATTACHMENTS_JSON = TOP + PDF + "," + ZIP + END;
}
