/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.common.formdata;

import java.util.UUID;

import org.apache.commons.lang3.RandomUtils;

import de.ozgcloud.eingang.common.formdata.ServiceKonto.PostfachAddress;

public class PostfachAddressTestFactory {

	public static final int POSTFACH_ADDRESS_TYPE = RandomUtils.insecure().randomInt();
	public static final String VERSION = "1.0";
	public static final String POSTFACH_ID = UUID.randomUUID().toString();

	public static PostfachAddress create() {
		return createBuilder().build();
	}

	private static PostfachAddress.PostfachAddressBuilder createBuilder() {
		return PostfachAddress.builder()
				.type(POSTFACH_ADDRESS_TYPE)
				.version(VERSION)
				.identifier(createStringBasedIdentifier());
	}

	private static PostfachAddressIdentifier createStringBasedIdentifier() {
		return StringBasedIdentifier.builder().postfachId(POSTFACH_ID).build();
	}
}