/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.common.formdata;

import com.thedeanda.lorem.LoremIpsum;

public class ZustaendigeStelleTestFactory {

	public static final String ORGANISATIONSEINHEIT_ID = "08150815";
	public static final String EMAIL = "hase@loewenkaefig.de";
	public static final String GEMEINDE_SCHLUESSEL = "1234567";
	public static final String AMTLICHER_REGIONAL_SCHLUESSEL = "regional-schluessel";
	public static final String HAUSANSCHRIFT_STRASSE = "Musterstraße";
	public static final String HAUSANSCHRIFT_PLZ = "12345";
	public static final String HAUSANSCHRIFT_ORT = "Musterort";
	public static final String TELEFON = "0123456789";
	public static final String BEZEICHNUNG = LoremIpsum.getInstance().getWords(5);

	public static ZustaendigeStelle create() {
		return createBuilder().build();
	}

	public static ZustaendigeStelle.ZustaendigeStelleBuilder createBuilder() {
		return ZustaendigeStelle.builder() //
				.organisationseinheitenId(ORGANISATIONSEINHEIT_ID)
				.email(EMAIL)
				.bezeichnung(BEZEICHNUNG)
				.gemeindeSchluessel(GEMEINDE_SCHLUESSEL)
				.amtlicherRegionalSchluessel(AMTLICHER_REGIONAL_SCHLUESSEL)
				.hausanschriftStrasse(HAUSANSCHRIFT_STRASSE)
				.hausanschriftPlz(HAUSANSCHRIFT_PLZ)
				.hausanschriftOrt(HAUSANSCHRIFT_ORT)
				.telefon(TELEFON);
	}
}
