/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.enterprise.entry;

import java.time.ZonedDateTime;
import java.util.UUID;

import de.ozgcloud.eingang.common.formdata.FormHeaderTestFactory;
import de.ozgcloud.eingang.enterprise.entry.EntryResponse.ResponseVorgang;

public class ResponseVorgangTestFactory {

	final static String VORGANG_ID = UUID.randomUUID().toString();

	static ResponseVorgang create() {
		return createBuilder().build();
	}

	static ResponseVorgang.ResponseVorgangBuilder createBuilder() {
		return ResponseVorgang.builder()
				.vorgangId(VORGANG_ID)
				.vorgangNummer(FormHeaderTestFactory.VORGANG_NUMMER)
				.status("NEU")
				.statusSince(ZonedDateTime.now());
	}
}
