/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.fim;

import java.util.Map;
import java.util.Optional;

import org.springframework.stereotype.Component;
import org.w3c.dom.Element;

import de.ozgcloud.eingang.fim.common.xml.DocumentHelper;

@Component
class UnknownSchemeAdapter extends FimSchemeAdapter {

	public static final String UNKNOWN_SCHEME_NAME = "unknown";
	public static final FimSchemeIdentifier IDENTIFIER = FimSchemeIdentifier.fromString(UNKNOWN_SCHEME_NAME);

	@Override
	public FimSchemeIdentifier getIdentifier() {
		return IDENTIFIER;
	}

	@Override
	public Optional<String> getFieldName(Map<String, Element> fieldIndex, String fieldName) {
		return Optional.of(DocumentHelper.getFieldNameWithoutNamespace(fieldName));
	}
}
