/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.formcycle;

import de.ozgcloud.eingang.common.formdata.FormHeaderTestFactory;
import de.ozgcloud.eingang.formcycle.FormCycleFormHeader.Builder;

public class FormCycleFormHeaderTestFactory {

	static final String RECEIVED_AT = FormHeaderTestFactory.CREATED_AT_STR;
	static final String ORGANISATIONSEINHEIT_ID = "9030229";

	static FormCycleFormHeader create() {
		return createBuilder().build();
	}

	static Builder createBuilder() {
		return FormCycleFormHeader.newBuilder()
				.setRequestId(FormHeaderTestFactory.REQUEST_ID)
				.setFormName(FormHeaderTestFactory.FORM_NAME)
				.setReceivedAt(RECEIVED_AT)
				.setFormId(FormHeaderTestFactory.FORM_ID)
				.setOrganisationsEinheitId(ORGANISATIONSEINHEIT_ID);
	}
}
