/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.formcycle.common.errorhandling;

import de.ozgcloud.common.errorhandling.ExceptionUtil;
import de.ozgcloud.eingang.formcycle.common.errorhandling.InternalExceptionDto.InternalExceptionDtoBuilder;

public class InternalExceptionDtoTestFactory {

	public static final String EXCEPTION_ID = "exception-id";
	public static final String MESSAGE = "exception message";

	public static InternalExceptionDto create() {
		return createBuilder().build();
	}

	private static InternalExceptionDtoBuilder createBuilder() {
		return InternalExceptionDto.builder().exceptionId(EXCEPTION_ID).message(MESSAGE);
	}

	public static String messageWithExceptionId() {
		return ExceptionUtil.formatMessageWithExceptionId(MESSAGE, EXCEPTION_ID);
	}
}
