/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.forwarder;

import de.ozgcloud.eingang.forwarding.GrpcEingangStub;
import de.ozgcloud.eingang.forwarding.GrpcEingangStub.Builder;
import de.ozgcloud.eingang.router.GrpcEingangHeaderTestFactory;
import de.ozgcloud.vorgang.common.grpc.GrpcFormDataTestFactory;
import de.ozgcloud.vorgang.vorgang.GrpcAntragsteller;
import de.ozgcloud.vorgang.vorgang.GrpcEingangHeader;
import de.ozgcloud.vorgang.vorgang.GrpcFormData;

public class GrpcEingangStubTestFactory {

	public static final GrpcEingangHeader HEADER = GrpcEingangHeaderTestFactory.create();
	public static final GrpcAntragsteller ANTRAGSTELLER = GrpcAntragstellerTestFactory.create();
	public static final GrpcFormData FORM_DATA = GrpcFormDataTestFactory.create();

	public static GrpcEingangStub create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcEingangStub.newBuilder()
				.setHeader(HEADER)
				.setAntragsteller(ANTRAGSTELLER)
				.setFormData(FORM_DATA);
	}
}
