/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.forwarder;

import de.ozgcloud.eingang.forwarding.GrpcAttachment;
import de.ozgcloud.eingang.forwarding.GrpcRepresentation;
import de.ozgcloud.eingang.forwarding.GrpcRouteForwarding;
import de.ozgcloud.eingang.forwarding.GrpcRouteForwardingRequest;

public class GrpcRouteForwardingRequestTestFactory {

	public static final GrpcRepresentation REPRESENTATION = GrpcRepresentationTestFactory.createWithFile();
	public static final GrpcAttachment ATTACHMENT = GrpcAttachmentTestFactory.createWithFile();
	public static final GrpcRouteForwarding ROUTE_FORWARDING = GrpcRouteForwardingTestFactory.create();

	public static GrpcRouteForwardingRequest createWithRouteForwarding() {
		return GrpcRouteForwardingRequest.newBuilder()
				.setRouteForwarding(ROUTE_FORWARDING)
				.build();
	}

	public static GrpcRouteForwardingRequest createWithAttachment() {
		return GrpcRouteForwardingRequest.newBuilder()
				.setAttachment(ATTACHMENT)
				.build();
	}

	public static GrpcRouteForwardingRequest createWithRepresentation() {
		return GrpcRouteForwardingRequest.newBuilder()
				.setRepresentation(REPRESENTATION)
				.build();
	}
}
