/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.common.zufi;

import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcXzufiId;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcXzufiId.Builder;

public class GrpcXzufiIdTestFactory {
	public static final String ORGANISATIONS_EINHEIT_ID = XzufiIdTestFactory.ID;
	public static final String SCHEME_AGENCY_ID = XzufiIdTestFactory.SCHEME_AGENCY_ID;

	public static GrpcXzufiId create() {
		return createBuilder(ORGANISATIONS_EINHEIT_ID, SCHEME_AGENCY_ID).build();
	}

	public static GrpcXzufiId create(String id, String schemeAgencyId) {
		return createBuilder(id, schemeAgencyId).build();
	}

	public static Builder createBuilder(String id, String schemeAgencyId) {
		return GrpcXzufiId.newBuilder().setId(id).setSchemeAgencyId(schemeAgencyId);
	}
}
