/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.router;

import com.google.protobuf.ByteString;

import de.ozgcloud.eingang.common.formdata.IncomingFileTestFactory;
import de.ozgcloud.vorgang.vorgang.GrpcIncomingFile;

public class GrpcIncomingFileTestFactory {

	public static final String ID = IncomingFileTestFactory.ID;
	public static final String VENDOR_ID = IncomingFileTestFactory.VENDOR_ID;
	public static final String NAME = IncomingFileTestFactory.NAME;
	public static final String CONTENT_TYPE = IncomingFileTestFactory.CONTENT_TYPE;
	public static final long SIZE = IncomingFileTestFactory.SIZE;
	public static final ByteString CONTENT = ByteString.copyFrom(IncomingFileTestFactory.CONTENT);

	public static GrpcIncomingFile create() {
		return createBuilder().build();
	}

	public static GrpcIncomingFile.Builder createBuilder() {
		return GrpcIncomingFile.newBuilder()
				.setId(ID)
				.setVendorId(VENDOR_ID)
				.setName(NAME)
				.setContentType(CONTENT_TYPE)
				.setSize(SIZE)
				.setContent(CONTENT);
	}
}