/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.router;

import de.ozgcloud.eingang.common.formdata.PostfachAddressTestFactory;
import de.ozgcloud.eingang.common.formdata.StringBasedIdentifier;
import de.ozgcloud.vorgang.common.GrpcObject;
import de.ozgcloud.vorgang.common.GrpcProperty;
import de.ozgcloud.vorgang.vorgang.GrpcPostfachAddress;
import de.ozgcloud.vorgang.vorgang.GrpcPostfachAddress.Builder;

public class GrpcPostfachAddressTestFactory {

	public static final String VERSION = PostfachAddressTestFactory.VERSION;
	public static final int TYPE = PostfachAddressTestFactory.POSTFACH_ADDRESS_TYPE;
	public static final GrpcProperty IDENTIFIER_PROPERTY = GrpcProperty.newBuilder()
			.setName(StringBasedIdentifier.POSTFACH_ID_FIELD)
			.addValue(PostfachAddressTestFactory.POSTFACH_ID)
			.build();
	public static final GrpcObject IDENTIFIER = GrpcObject.newBuilder()
			.addProperty(IDENTIFIER_PROPERTY)
			.build();

	public static GrpcPostfachAddress create() {
		return createBuilder().build();
	}

	private static Builder createBuilder() {
		return GrpcPostfachAddress.newBuilder()
				.setVersion(VERSION)
				.setType(TYPE)
				.setIdentifier(IDENTIFIER);
	}

}
